X2Go Bug report logs - #887
cups-x2go

version graph

Package: cups-x2go; Maintainer for cups-x2go is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: "Feustel, Thomas" <tf@ksh.com>

Date: Wed, 17 Jun 2015 22:35:01 UTC

Severity: normal

Tags: pending

Fixed in version 3.0.1.3

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#887; Package cups-x2go. (Wed, 17 Jun 2015 22:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Feustel, Thomas" <tf@ksh.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

3.0.1.2 GIT

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 17 Jun 2015 22:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Feustel, Thomas" <tf@ksh.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: cups-x2go
Date: Wed, 17 Jun 2015 22:25:31 +0000
[Message part 1 (text/plain, inline)]
Package: cups-x2go
Version: 3.0.1.2 GIT

The name of the pdf-file that a create with the Ghostscript has no ".pdf" file extension and can not open on the windows client on a pdf reader.
The perl command "tempfile" ha a option to set a file extension for the tempfile. (SUFFIX => '.pdf')
Maybe with this option it is enough to have on template for the tempfiles.

The second bug is the continue command and the perl script at line 227 and 275, this is not functional and the if block an bee empty or you working with negation on the if.

Best regards

Thomas Feustel
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#887; Package cups-x2go. (Thu, 18 Jun 2015 15:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 18 Jun 2015 15:15:01 GMT) (full text, mbox, link).


Message #10 received at 887@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 887-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 887@bugs.x2go.org
Subject: X2Go issue (in src:cups-x2go) has been marked as pending for release
Date: Thu, 18 Jun 2015 17:11:19 +0200 (CEST)
tag #887 pending
fixed #887 3.0.1.3
thanks

Hello,

X2Go issue #887 (src:cups-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=cups-x2go.git;a=commitdiff;h=6a2b5a7

The issue will most likely be fixed in src:cups-x2go (3.0.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 6a2b5a77edfe9c3f599d569f229c8134459e7aac
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jun 18 17:10:51 2015 +0200

    cups-x2go: there is no continue in perl for stepping forward a loop.
    
    Still not. I keep forgetting that.
    Use next.
    (Partly) Fixes: #887.

diff --git a/debian/changelog b/debian/changelog
index c756d05..ba28efc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -25,6 +25,8 @@ cups-x2go (3.0.1.3-0x2go1) UNRELEASED; urgency=low
       the END block.
     - cups-x2go: don't use unlink() explicitly. Trust File::Temp and our END
       block to clean up correctly.
+    - cups-x2go: there is no continue in perl for stepping forward a loop.
+      Still not. I keep forgetting that. Use next. (Partly) Fixes: #887.
   * debian/control:
     - Add dependencies on perl-modules for core modules and ${perl:Depends}
       for perl itself.


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 18 Jun 2015 15:15:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.0.1.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 18 Jun 2015 15:15:02 GMT) (full text, mbox, link).


Message sent on to "Feustel, Thomas" <tf@ksh.com>:
Bug#887. (Thu, 18 Jun 2015 15:15:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#887; Package cups-x2go. (Thu, 18 Jun 2015 15:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 18 Jun 2015 15:25:02 GMT) (full text, mbox, link).


Message #22 received at 887@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Feustel, Thomas" <tf@ksh.com>, 887@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#887: cups-x2go
Date: Thu, 18 Jun 2015 17:21:07 +0200
[Message part 1 (text/plain, inline)]
On 18.06.2015 12:25 AM, Feustel, Thomas wrote:
> The name of the pdf-file that a create with the Ghostscript has no “.pdf” file
> extension and can not open on the windows client on a pdf reader.
> 
> The perl command “tempfile” ha a option to set a file extension for the
> tempfile. (SUFFIX => ‘.pdf’)
> 
> Maybe with this option it is enough to have on template for the tempfiles.

That's actually weird. Yes, the temp file doesn't have a .pdf extension, but
that shouldn't cause any trouble. The original file name is known by the system
and my tests with x2goclient, though on OS X, always produce a file called
"$original_file.pdf" when I select to save it as a PDF.

Maybe the Windows Previewer is not getting the name correctly, though.


> The second bug is the continue command and the perl script at line 227 and 275,
> this is not functional and the if block an bee empty or you working with
> negation on the if.

Yeah, Perl doesn't know "continue" like any other language I keep forgetting
this... Fixed in the newest commit.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#887; Package cups-x2go. (Thu, 18 Jun 2015 16:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 18 Jun 2015 16:10:02 GMT) (full text, mbox, link).


Message #27 received at 887@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 887-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 887@bugs.x2go.org
Subject: X2Go issue (in src:cups-x2go) has been marked as pending for release
Date: Thu, 18 Jun 2015 18:09:34 +0200 (CEST)
tag #887 pending
fixed #887 3.0.1.3
thanks

Hello,

X2Go issue #887 (src:cups-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=cups-x2go.git;a=commitdiff;h=0b43aea

The issue will most likely be fixed in src:cups-x2go (3.0.1.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 0b43aea4fbfa271b3bcb1fc018c23436a9948532
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jun 18 18:09:06 2015 +0200

    cups-x2go: use the same temp file template for PS, PDF and title files.
    
    Use appropriate suffixes if necessary when generating PDF and title temp
    files.
    
    (Fully) Fixes: #887.

diff --git a/debian/changelog b/debian/changelog
index ba28efc..a4c4059 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,6 +27,9 @@ cups-x2go (3.0.1.3-0x2go1) UNRELEASED; urgency=low
       block to clean up correctly.
     - cups-x2go: there is no continue in perl for stepping forward a loop.
       Still not. I keep forgetting that. Use next. (Partly) Fixes: #887.
+    - cups-x2go: use the same temp file template for PS, PDF and title files.
+      Use appropriate suffixes if necessary when generating PDF and title temp
+      files. (Fully) Fixes: #887.
   * debian/control:
     - Add dependencies on perl-modules for core modules and ${perl:Depends}
       for perl itself.


Message sent on to "Feustel, Thomas" <tf@ksh.com>:
Bug#887. (Thu, 18 Jun 2015 16:10:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#887; Package cups-x2go. (Fri, 19 Jun 2015 21:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Jun 2015 21:05:02 GMT) (full text, mbox, link).


Message #35 received at 887@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 887-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 887@bugs.x2go.org
Subject: X2Go issue (in src:cups-x2go) has been marked as closed
Date: Fri, 19 Jun 2015 23:04:41 +0200 (CEST)
close #887
thanks

Hello,

we are very hopeful that X2Go issue #887 reported by you
has been resolved in the new release (3.0.1.3) of the
X2Go source project »src:cups-x2go«.

You can view the complete changelog entry of src:cups-x2go (3.0.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:cups-x2go.

    http://code.x2go.org/gitweb?p=cups-x2go.git;a=commitdiff;h=954a91687dc61bde64f1958ff05af1dc9c69dedd;hp=439db8b1b7ced6c90781c818428621f289dd1d06

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:cups-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:cups-x2go
Version: 3.0.1.3-0x2go1
Status: RELEASE
Date: Fri, 19 Jun 2015 23:02:53 +0200
Fixes: 887
Changes: 
 cups-x2go (3.0.1.3-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream version (3.0.1.3):
     - cups-x2go: import tempfile() function from File::Temp module.
     - cups-x2go: only repeat the last X, not the whole ".pdfX" string (or the
       like.)
     - cups-x2go: actually print "real" executed command instead of the
       "original" one with placeholders.
     - cups-x2go: read output from ghostscript, don't write a filehandle to the
       temporary file. Fixes a hanging ghostscript call and... well... random
       junk, instead of a "real" PDF file.
     - cups-x2go: use parentheses around function arguments.
     - cups-x2go: fix binmode() call, :raw layer is implicit.
     - cups-x2go: fix print call... Does not allow to separate parameters with
       a comma.
     - cups-x2go: add correct :raw layer to binmode calls.
     - cups-x2go: fix tiny typo.
     - cups-x2go: read data from GS and STDIN in chunks of 8 kbytes, instead of
       everything at once. Handles large print jobs gracefully.
     - cups-x2go: add parentheses to close() calls.
     - cups-x2go: delete PDF and title temporary files automatically.
     - cups-x2go: unlink PS temporary file on-demand in END block. Also move
       closelog to END block, because we want to print diagnosis messages in
       the END block.
     - cups-x2go: don't use unlink() explicitly. Trust File::Temp and our END
       block to clean up correctly.
     - cups-x2go: there is no continue in perl for stepping forward a loop.
       Still not. I keep forgetting that. Use next. (Partly) Fixes: #887.
     - cups-x2go: use the same temp file template for PS, PDF and title files.
       Use appropriate suffixes if necessary when generating PDF and title temp
       files. (Fully) Fixes: #887.
   * debian/control:
     - Add dependencies on perl-modules for core modules and ${perl:Depends}
       for perl itself.
     - Do not depend on perl-modules directly. ${perl:Depends} is already doing
       that implicitly. It depends on perl, which depends on perl-modules.
   * cups-x2go.spec:
     - Add proper dependencies on perl and File::Temp module. Hopefully pulls
       in perl-base with the core modules or the like...


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 19 Jun 2015 21:05:03 GMT) (full text, mbox, link).


Notification sent to "Feustel, Thomas" <tf@ksh.com>:
Bug acknowledged by developer. (Fri, 19 Jun 2015 21:05:03 GMT) (full text, mbox, link).


Message sent on to "Feustel, Thomas" <tf@ksh.com>:
Bug#887. (Fri, 19 Jun 2015 21:05:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 18 Jul 2015 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 3 19:24:33 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.